net.i2p.router.web

## Class CSSHelper

- java.lang.Object
- - net.i2p.router.web.HelperBase
  - - net.i2p.router.web.CSSHelper

    public class CSSHelper
    extends HelperBase

Copied and modded from I2PTunnel IndexBean (GPL)

Author:
  zzz

### Field Summary

Fields
`static String` `BASE_THEME_PATH`
`static String` `DEFAULT_REFRESH`
`static String` `DEFAULT_THEME`
`static String` `PROP_REFRESH`
`static String` `PROP_THEME_NAME`

### Fields inherited from class net.i2p.router.web.HelperBase

`_context, _out`

### Constructor Summary

Constructors
Constructor and Description
`CSSHelper()`

### Method Summary

Methods
`boolean` `allowIFrame(String ua)` Should we allow a refreshing IFrame?
`String` `getLang()` needed for conditional css loads for zh
`String` `getRefresh()`
`String` `getTheme(String userAgent)`
`void` `setLang(String lang)` change default language for the router AND save it
`void` `setRefresh(String r)` change refresh and save it
`String` `title(String s)` translate the title and display consistently

### Methods inherited from class net.i2p.router.web.HelperBase

`_, _, _, _x, ngettext, setContextId, storeWriter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROP_THEME_NAME

    public static final String PROP_THEME_NAME

See Also:
  Constant Field Values

#### DEFAULT_THEME

    public static final String DEFAULT_THEME

See Also:
  Constant Field Values

#### BASE_THEME_PATH

    public static final String BASE_THEME_PATH

See Also:
  Constant Field Values

#### PROP_REFRESH

    public static final String PROP_REFRESH

See Also:
  Constant Field Values

#### DEFAULT_REFRESH

    public static final String DEFAULT_REFRESH

See Also:
  Constant Field Values

### Constructor Detail

#### CSSHelper

    public CSSHelper()

### Method Detail

#### getTheme

    public String getTheme(String userAgent)

#### setLang

    public void setLang(String lang)

change default language for the router AND save it

#### getLang

    public String getLang()

needed for conditional css loads for zh

#### setRefresh

    public void setRefresh(String r)

change refresh and save it

#### getRefresh

    public String getRefresh()

Returns:
  refresh time in seconds, as a string

#### title

    public String title(String s)

translate the title and display consistently

#### allowIFrame

    public boolean allowIFrame(String ua)

Should we allow a refreshing IFrame?

Since:
  0.8.5